Subject: bug#5080: indic text is not displayed correctly in emacs shell

From: Parag Nemade <[email-masked]>
Date: Tue, 01 Dec 2009 10:10:51 +0530

Hi Kenichi,
On Tuesday 01 December 2009 07:06 AM, Kenichi Handa wrote:
> In article<[email-masked]>, Praveen A<[email-masked]>  writes:
>
>    
>> Indic text is not rendered correctly in emacs shell (M-x shell).
>> Attached images show indic text displayed as escaped unicode values.
>> output of ls (when file names has indic characters) and cat (when
>> content of a file has indic characters) is displayed like that.
>>      
> It seems that the coding system for your shell buffer is
> iso-8859-1.  In which locale did you invoke Emacs?  And
> please try to change the coding system for the shell buffer
> to utf-8 (C-x C-m p utf-8 RET utf-8 RET) and run ls and cat
> again.
>
>    
   I start emacs in English locale and then shell buffer and write some 
Indic text there and found rendering is broken but when same text is 
copied to gedit its rendering correctly.
   I did what you asked and found still rendering broken with utf-8. I 
even tried to run emacs in Marathi locale and see if it renders 
correctly but still when I did cat marathi.txt, the contents printed in 
shell have wrong rendering.
   I am using Fedora 12 emacs-23.1-10.fc12 rpm.

Please ask for any input needed.

Thanks & Regards,
Parag.